

# GetWhatsAppFlowPreview
<a name="API_GetWhatsAppFlowPreview"></a>

Generates a web preview URL for testing a WhatsApp Flow before publishing. Preview URLs expire in 30 days and can be shared with stakeholders for review.

## Request Syntax
<a name="API_GetWhatsAppFlowPreview_RequestSyntax"></a>

```
GET /v1/whatsapp/flow/preview?flowId={{flowId}}&id={{id}}&invalidate={{invalidate}} HTTP/1.1
```

## URI Request Parameters
<a name="API_GetWhatsAppFlowPreview_RequestParameters"></a>

The request uses the following URI parameters.

 ** [flowId](#API_GetWhatsAppFlowPreview_RequestSyntax) **   <a name="Social-GetWhatsAppFlowPreview-request-uri-flowId"></a>
The unique identifier of the Flow to preview.  
Length Constraints: Minimum length of 1. Maximum length of 100.  
Pattern: `[0-9]+`   
Required: Yes

 ** [id](#API_GetWhatsAppFlowPreview_RequestSyntax) **   <a name="Social-GetWhatsAppFlowPreview-request-uri-id"></a>
The ID of the WhatsApp Business Account associated with this Flow.  
Length Constraints: Minimum length of 1. Maximum length of 115.  
Pattern: `.*(^waba-.*$)|(^arn:.*:waba/[0-9a-zA-Z]+$).*`   
Required: Yes

 ** [invalidate](#API_GetWhatsAppFlowPreview_RequestSyntax) **   <a name="Social-GetWhatsAppFlowPreview-request-uri-invalidate"></a>
Set to `true` to force generation of a new preview URL. Use this if the previous URL has been compromised or you want a fresh expiration period.

## Request Body
<a name="API_GetWhatsAppFlowPreview_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetWhatsAppFlowPreview_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "flowId": "string",
   "preview": { 
      "expiresAt": "string",
      "previewUrl": "string"
   }
}
```

## Response Elements
<a name="API_GetWhatsAppFlowPreview_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [flowId](#API_GetWhatsAppFlowPreview_ResponseSyntax) **   <a name="Social-GetWhatsAppFlowPreview-response-flowId"></a>
The unique identifier of the Flow.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 100.  
Pattern: `[0-9]+` 

 ** [preview](#API_GetWhatsAppFlowPreview_ResponseSyntax) **   <a name="Social-GetWhatsAppFlowPreview-response-preview"></a>
The preview URL and its expiration timestamp.  
Type: [MetaFlowPreviewInfo](API_MetaFlowPreviewInfo.md) object

## Errors
<a name="API_GetWhatsAppFlowPreview_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedByMetaException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** DependencyException **   
Thrown when performing an action because a dependency would be broken.  
HTTP Status Code: 502

 ** InternalServiceException **   
The request processing has failed because of an unknown error, exception, or failure.  
HTTP Status Code: 500

 ** InvalidParametersException **   
One or more parameters provided to the action are not valid.  
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The resource was not found.  
HTTP Status Code: 404

 ** ThrottledRequestException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The request contains an invalid parameter value.   
HTTP Status Code: 400

## See Also
<a name="API_GetWhatsAppFlowPreview_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/socialmessaging-2024-01-01/GetWhatsAppFlowPreview) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/socialmessaging-2024-01-01/GetWhatsAppFlowPreview) 
+  [AWS SDK for C\+\+](https://docs.aws.amazon.com/goto/SdkForCpp/socialmessaging-2024-01-01/GetWhatsAppFlowPreview) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/socialmessaging-2024-01-01/GetWhatsAppFlowPreview) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/socialmessaging-2024-01-01/GetWhatsAppFlowPreview) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/socialmessaging-2024-01-01/GetWhatsAppFlowPreview) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/socialmessaging-2024-01-01/GetWhatsAppFlowPreview) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/socialmessaging-2024-01-01/GetWhatsAppFlowPreview) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/socialmessaging-2024-01-01/GetWhatsAppFlowPreview) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/socialmessaging-2024-01-01/GetWhatsAppFlowPreview) 